Bug 485667 - GConf2-devel should depend on dbus-devel
Summary: GConf2-devel should depend on dbus-devel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf2
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-16 04:47 UTC by Michel Alexandre Salim
Modified: 2019-07-24 17:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 07:55:41 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-02-16 04:47:53 UTC
Description of problem:
GConf2-devel's gconf-2.0.pc file declares a private dependency on dbus-1:
Requires.private: ORBit-2.0 dbus-1

but does not depend on dbus-devel, which provides it.

Version-Release number of selected component (if applicable):
GConf2-devel-2.24.0-1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install GConf2-devel
2. yum remove dbus-devel
3. pkg-config --list-all
  
Actual results:
step (3) fails due to pkg-config not finding dbus-1

Expected results:
step (3) fails due to dbus-1

Additional info:

Comment 1 Julian Sikorski 2009-02-17 20:47:18 UTC
This is partially a result of pkgconfig update now showing Requires.private. This bug has hit me as well:
http://buildsys.rpmfusion.org/logs/fedora-10-rpmfusion_nonfree/2806-sdlmame-0130-0.4.0129u4.fc10/ppc/build.log

Comment 2 Nicolas Chauvet (kwizart) 2009-02-17 22:34:15 UTC
Does the bug appeared with a recent pkgconfig update ?

Comment 3 Julian Sikorski 2009-02-17 22:38:05 UTC
Yes, it did. At least that's what I made out of the build logs.

Comment 4 Julian Sikorski 2009-02-17 23:09:58 UTC
Also, please note that I fixed the sdlmame build by adding dbus-devel to BR, but you can reproduce the issue easily by removing it.

Comment 5 Nicolas Chauvet (kwizart) 2009-02-17 23:53:22 UTC
(In reply to comment #4)
> Also, please note that I fixed the sdlmame build by adding dbus-devel to BR,
> but you can reproduce the issue easily by removing it.

So why didn't you fixed your build with adding dbus-devel as BR of sdlmane instead ? (Same for Michel's package).

Comment 6 Julian Sikorski 2009-02-17 23:58:57 UTC
Because it never needed it in the first place.

Comment 7 Dominik 'Rathann' Mierzejewski 2009-02-19 10:20:59 UTC
(In reply to comment #0)
> Description of problem:
> GConf2-devel's gconf-2.0.pc file declares a private dependency on dbus-1:
> Requires.private: ORBit-2.0 dbus-1
> 
> but does not depend on dbus-devel, which provides it.

The real question is, does compiling an application that links against GConf libraries require ORBit and dbus headers to succeed? If not, then these dependencies are bogus and should be removed.

Comment 8 Michel Alexandre Salim 2009-02-23 18:59:13 UTC
In my case, the compiled application does not depend on ORBit and dbus, but I'm not sure whether this holds generally.

Either way, GConf2-devel should either depend on ORBit and dbus, or stop declaring a dependency on them in the .pc file.

Comment 9 Nicolas Chauvet (kwizart) 2009-02-23 19:05:58 UTC
see https://bugzilla.redhat.com/show_bug.cgi?id=224148#c24

Comment 10 Dan Horák 2009-03-24 12:29:02 UTC
Is there any conclusion what should be actually done? Any solution concerning gconf2 is better than randomly adding BR: dbus-devel in packages.

Comment 11 Sean Middleditch 2009-04-14 21:27:57 UTC
It seems to be fixed in Rawhide already, but not in any F10 update.  GConf2-devel in Rawhide requires pkgconfig(dbus-1).

Comment 12 Julian Sikorski 2009-04-15 10:52:53 UTC
It is fixed in Rawhide due to the fact that rpm there picks up pkgconfig requires (or provides, I'm not sure) automatically. F-10 needs to be fixed the old way.

Comment 13 Michel Alexandre Salim 2009-09-13 20:22:16 UTC
More than half a year and no response by the official maintainer?

Comment 14 Bug Zapper 2009-11-18 11:06:56 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2009-12-18 07:55:41 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.